@ECHO OFF
REM Pieszka's modified fdauto.bat

REM FreeDOS Enviroment Variables
set DOSDRV=C:
set DOSDIR=C:\FREEDOS
set LANG=PL
set TZ=CET-1CEST,M3.5.0/02:00:00,M10.5.0/03:00:00
set PATH=%dosdir%\BIN;%dosdir%\LINKS;%DOSDIR%\MTCP
set NLSPATH=%dosdir%\NLS
set HELPPATH=%dosdir%\HELP
set TEMP=%dosdir%\TEMP
set TMP=%TEMP%
set DIRCMD=/P /OGN /Y
set COPYCMD=/-Y
set OS_NAME=FreeDOS
set OS_VERSION=1.3
set autofile=C:\FDAUTO.BAT
set cfgfile=C:\FDCONFIG.SYS
alias reboot=fdapm warmboot
alias reset=fdisk /reboot
alias shutdown=fdapm poweroff

REM Software specific variables
SET BLASTER=A220 I5 D1 H5 P330 E620 T6
SET MIDI=SYNTH:1 MAP:E
SET MTCPCFG=C:\FREEDOS\MTCP\MTCP.CFG

REM Configure language
LH DISPLAY CON=(EGA,,1)
MODE CON CODEPAGE PREPARE=((991) C:\FREEDOS\CPI\EGA10.CPX)
MODE CON CODEPAGE SELECT=991
KEYB PL,991

REM Translate config codes to pretty tags
if "%config%"=="1" set pconfig=ED
if "%config%"=="2" set pconfig=XD
if "%config%"=="3" set pconfig=CD
if "%config%"=="4" set pconfig=E
if "%config%"=="5" set pconfig=X
if "%config%"=="6" set pconfig=C

REM Go to selected config
GoTo %pconfig%

:ED
:XD
:CD
echo Loading drivers...
echo.

echo Loading FDAPM power manager
LH C:\FREEDOS\BIN\FDAPM.COM APMDOS

echo Loading CuteMouse driver
LH C:\FREEDOS\DRIVERS\MOUSE\CTMOUSE.EXE /R2

echo Loading VIDE-CDD driver
SHSUCDX /D:SHSU001

echo Loading 3Com 509 Etherlink III driver
LH C:\FREEDOS\DRIVERS\NETWORK\3C509.COM 0x60

echo Loading mTCP DHCP Client
C:\FREEDOS\MTCP\DHCP.EXE

echo Starting Unisound initializer
SET USMASTER=70
SET USWAVE=99
SET USFM=99
SET USLINE=00
SET USCD=00
SET USMIC=00
SET USPC=00
C:\FREEDOS\DRIVERS\AUDIO\UNISOUND.COM /V%USMASTER% /VW%USWAVE% /VF%USFM% /VL%USLINE% /VC%USCD% /VM%USMIC% /VP%USPC%

echo Finished loading drivers.

:E
:X
:C
if exist %dosdir%\bin\welcome.bat call %dosdir%\bin\welcome.bat

